%define rev r858

Summary:	A simple interface for working with TeX documents
Name:		texworks
Version:	0.4.3
Release:	%mkrel 1
Source0:	http://texworks.googlecode.com/files/%{name}-%{version}-%{rev}.tar.gz
# File contains the config and building parameters
Source1:	TeXworks.pro
License:	GPLv2
Group:		Publishing
Url:		http://texworks.googlecode.com/
BuildRequires:	qt4-devel, poppler-devel, poppler-qt4-devel
BuildRequires:	hunspell-devel, dbus-devel

%description

TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc)
documents, with a Unicode-based, TeX-aware editor, integrated PDF
viewer, and a clean, simple interface accessible to casual and
non-technical users.

TeXworks is inspired by Dick Koch's award-winning TeXShop program for
Mac OS X, which has made quality typesetting through TeX accessible to
a wider community of users, without a technical or intimidating
face. The goal of TeXworks is to deliver a similarly integrated,
easy-to-use environment for users on other platforms, especially
GNU/Linux and Windows.


%prep
%setup -q 
cp -f  %{_sourcedir}/TeXworks.pro .

%build
%qmake_qt4
%make

%install
export INSTALL_ROOT=%{buildroot}
%makeinstall 

mv -f manual/en html

%files
%doc NEWS README COPYING html/
%{_bindir}/texworks
%{_mandir}/man1/texworks.*
%{_datadir}/applications/texworks.desktop
%{_datadir}/pixmaps/TeXworks.png




%changelog

* Thu Dec 15 2011 malo <malo> 0.4.3-1.mga2
+ Revision: 182337
- adding spec comment. Thanks to cddesjar for the initial imported spec!
- imported package texworks


* Thu Jul 21 2011 Lev Givon <lev@mandriva.org> 0.4.3-0.r858mdv2011.0
+ Revision: 690840
- Update to 0.4.3.

* Tue May 31 2011 Lev Givon <lev@mandriva.org> 0.4.1-0.r829
+ Revision: 682073
- Update to 0.4.1-r829.

* Mon May 16 2011 Lev Givon <lev@mandriva.org> 0.4.0-0.r759
+ Revision: 675134
- Update to 0.4.0.

* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 0.2.3-3
+ Revision: 655748
- rebuild for new hunspell

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdv2011.0
+ Revision: 615172
- the mass rebuild of 2010.1 packages

* Thu Dec 10 2009 Lev Givon <lev@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 475990
- import texworks
